OSDN Git Service

2003-08-26 Phil Edwards <pme@gcc.gnu.org>
authorpme <pme@138bc75d-0d04-0410-961f-82ee72b054a4>
Wed, 27 Aug 2003 00:38:28 +0000 (00:38 +0000)
committerpme <pme@138bc75d-0d04-0410-961f-82ee72b054a4>
Wed, 27 Aug 2003 00:38:28 +0000 (00:38 +0000)
* Makefile.am:  Add comment.
* acinclude.m4 (GLIBCXX_CONFIGURE):  Set new glibcxx_SUBDIRS and
SUBDIRS variables.
* configure.ac:  Use them both here, instead of hardcoded lists.

* fragment.am:  Add STAMP varaible.
* include/Makefile.am:  Cosmetic whitespace cleanup.  Use $(LN_S)
instead of @LN_S@.
(stamp-*):  Move file creation rule outside of 'if' branches to
ensure the stamp-* files are actually updated.  Use $(STAMP).
* src/Makefile.am:  Remove now-nonexistant variable.
* libsupc++/Makefile.am:  Likewise.  Snap the assignment chain
for -prefer-pic.
* po/Makefile.am:  Include same fragment as all the others.

* aclocal.m4, configure, Makefile.in, include/Makefile.in,
libsupc++/Makefile.in, po/Makefile.in, src/Makefile.in:  Regenerated.

git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@70836 138bc75d-0d04-0410-961f-82ee72b054a4

17 files changed:
libstdc++-v3/ChangeLog
libstdc++-v3/Makefile.am
libstdc++-v3/Makefile.in
libstdc++-v3/acinclude.m4
libstdc++-v3/aclocal.m4
libstdc++-v3/configure
libstdc++-v3/configure.ac
libstdc++-v3/fragment.am
libstdc++-v3/include/Makefile.am
libstdc++-v3/include/Makefile.in
libstdc++-v3/libsupc++/Makefile.am
libstdc++-v3/libsupc++/Makefile.in
libstdc++-v3/po/Makefile.am
libstdc++-v3/po/Makefile.in
libstdc++-v3/src/Makefile.am
libstdc++-v3/src/Makefile.in
libstdc++-v3/testsuite/Makefile.in

index 21c36ba..2902ee9 100644 (file)
@@ -1,3 +1,23 @@
+2003-08-26  Phil Edwards  <pme@gcc.gnu.org>
+
+       * Makefile.am:  Add comment.
+       * acinclude.m4 (GLIBCXX_CONFIGURE):  Set new glibcxx_SUBDIRS and
+       SUBDIRS variables.
+       * configure.ac:  Use them both here, instead of hardcoded lists.
+
+       * fragment.am:  Add STAMP varaible.
+       * include/Makefile.am:  Cosmetic whitespace cleanup.  Use $(LN_S)
+       instead of @LN_S@.
+       (stamp-*):  Move file creation rule outside of 'if' branches to
+       ensure the stamp-* files are actually updated.  Use $(STAMP).
+       * src/Makefile.am:  Remove now-nonexistant variable.
+       * libsupc++/Makefile.am:  Likewise.  Snap the assignment chain
+       for -prefer-pic.
+       * po/Makefile.am:  Include same fragment as all the others.
+
+       * aclocal.m4, configure, Makefile.in, include/Makefile.in,
+       libsupc++/Makefile.in, po/Makefile.in, src/Makefile.in:  Regenerated.
+
 2003-08-26  Loren J. Rittle  <ljrittle@acm.org>
 
        * testsuite/data/cin_unget-1.txt: New.
index 51cfac8..59ab45c 100644 (file)
@@ -24,6 +24,7 @@
 
 include $(top_srcdir)/fragment.am
 
+## Keep this list sync'd with acinclude.m4:GLIBCXX_CONFIGURE.
 SUBDIRS = include libmath libsupc++ src po testsuite 
 
 # These rules are messy, but are hella worth it.
index 0278f70..12c6c2d 100644 (file)
@@ -200,6 +200,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)
@@ -631,7 +632,7 @@ installcheck-am:
 
 maintainer-clean: maintainer-clean-recursive
        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
-       -rm -rf $(top_srcdir)/autom4te.cache
+       -rm -rf autom4te.cache
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
 mostlyclean: mostlyclean-recursive
index 89c56a2..4551898 100644 (file)
@@ -48,6 +48,7 @@ dnl variables like $host.
 dnl
 dnl Sets:
 dnl  gcc_version          (x.y.z format)
+dnl  SUBDIRS
 dnl Substs:
 dnl  glibcxx_builddir     (absolute path)
 dnl  glibcxx_srcdir       (absolute path)
@@ -61,6 +62,12 @@ dnl  - default settings for all AM_CONFITIONAL test variables
 dnl  - lots of tools, like CC and CXX
 dnl
 AC_DEFUN(GLIBCXX_CONFIGURE, [
+  # Keep these sync'd with the list in Makefile.am.  The first provides an
+  # expandable list at autoconf time; the second provides an expandable list
+  # (i.e., shell variable) at configure time.
+  m4_define([glibcxx_SUBDIRS],[include libmath libsupc++ src po testsuite])
+  SUBDIRS='glibcxx_SUBDIRS'
+
   # These need to be absolute paths, yet at the same time need to
   # canonicalize only relative paths, because then amd will not unmount
   # drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
index 0deaab2..5c892e9 100644 (file)
@@ -61,6 +61,7 @@ dnl variables like $host.
 dnl
 dnl Sets:
 dnl  gcc_version          (x.y.z format)
+dnl  SUBDIRS
 dnl Substs:
 dnl  glibcxx_builddir     (absolute path)
 dnl  glibcxx_srcdir       (absolute path)
@@ -74,6 +75,12 @@ dnl  - default settings for all AM_CONFITIONAL test variables
 dnl  - lots of tools, like CC and CXX
 dnl
 AC_DEFUN(GLIBCXX_CONFIGURE, [
+  # Keep these sync'd with the list in Makefile.am.  The first provides an
+  # expandable list at autoconf time; the second provides an expandable list
+  # (i.e., shell variable) at configure time.
+  m4_define([glibcxx_SUBDIRS],[include libmath libsupc++ src po testsuite])
+  SUBDIRS='glibcxx_SUBDIRS'
+
   # These need to be absolute paths, yet at the same time need to
   # canonicalize only relative paths, because then amd will not unmount
   # drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
index 27db92d..a852881 100755 (executable)
@@ -969,7 +969,7 @@ ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd $ac_popdir
+    cd "$ac_popdir"
   done
 fi
 
@@ -1168,7 +1168,7 @@ _ASBOX
       echo "$as_me: caught signal $ac_signal"
     echo "$as_me: exit $exit_status"
   } >&5
-  rm -f core core.* *.core &&
+  rm -f core *.core &&
   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
     exit $exit_status
      ' 0
@@ -1932,6 +1932,12 @@ INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
 # up critical shell variables.
 
 
+  # Keep these sync'd with the list in Makefile.am.  The first provides an
+  # expandable list at autoconf time; the second provides an expandable list
+  # (i.e., shell variable) at configure time.
+
+  SUBDIRS='include libmath libsupc++ src po testsuite'
+
   # These need to be absolute paths, yet at the same time need to
   # canonicalize only relative paths, because then amd will not unmount
   # drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
@@ -2758,8 +2764,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   for ac_declaration in \
-   ''\
-   '#include <stdlib.h>' \
+   '' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -2773,8 +2778,8 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
 $ac_declaration
+#include <stdlib.h>
 int
 main ()
 {
@@ -3084,8 +3089,7 @@ else
   fi
 fi
 for ac_declaration in \
-   ''\
-   '#include <stdlib.h>' \
+   '' \
    'extern "C" void std::exit (int) throw (); using std::exit;' \
    'extern "C" void std::exit (int); using std::exit;' \
    'extern "C" void exit (int) throw ();' \
@@ -3099,8 +3103,8 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdlib.h>
 $ac_declaration
+#include <stdlib.h>
 int
 main ()
 {
@@ -4283,7 +4287,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic"
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4286 "configure"' > conftest.$ac_ext
+  echo '#line 4290 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4852,7 +4856,7 @@ fi;
     #
     # Fake what AC_TRY_COMPILE does.  XXX Look at redoing this new-style.
     cat > conftest.$ac_ext << EOF
-#line 4855 "configure"
+#line 4859 "configure"
 struct S { ~S(); };
 void bar();
 void foo()
@@ -5452,7 +5456,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_cv_header_stdc=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
 fi
@@ -5643,7 +5647,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 enable_clocale_flag=generic
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
           fi
 
@@ -7825,7 +7829,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -26687,7 +26691,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_cv_func_mmap_fixed_mapped=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
 echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
@@ -45631,7 +45635,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -47636,7 +47640,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -49510,7 +49514,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -51393,7 +51397,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -53223,7 +53227,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -54952,7 +54956,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 ( exit $ac_status )
 ac_sectionLDflags=no
 fi
-rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
     if test "$ac_test_CFLAGS" = set; then
       CFLAGS="$ac_save_CFLAGS"
@@ -57799,7 +57803,7 @@ else
 fi
 
 
-                                                                      ac_config_files="$ac_config_files Makefile include/Makefile libmath/Makefile libsupc++/Makefile po/Makefile src/Makefile testsuite/Makefile"
+                                                                      ac_config_files="$ac_config_files Makefile include/Makefile libmath/Makefile libsupc++/Makefile src/Makefile po/Makefile testsuite/Makefile"
 
           ac_config_files="$ac_config_files scripts/check_survey"
 
@@ -58407,7 +58411,9 @@ multi_basedir="$multi_basedir"
 CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
 CC="$CC"
 
-# No init-vars needed so far which aren't already passed by autoconf.
+# Variables needed in config.status (file generation) which aren't already
+# passed by autoconf.
+SUBDIRS="$SUBDIRS"
 
 
 _ACEOF
@@ -58423,8 +58429,8 @@ do
   "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
   "libmath/Makefile" ) CONFIG_FILES="$CONFIG_FILES libmath/Makefile" ;;
   "libsupc++/Makefile" ) CONFIG_FILES="$CONFIG_FILES libsupc++/Makefile" ;;
-  "po/Makefile" ) CONFIG_FILES="$CONFIG_FILES po/Makefile" ;;
   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
+  "po/Makefile" ) CONFIG_FILES="$CONFIG_FILES po/Makefile" ;;
   "testsuite/Makefile" ) CONFIG_FILES="$CONFIG_FILES testsuite/Makefile" ;;
   "scripts/check_survey" ) CONFIG_FILES="$CONFIG_FILES scripts/check_survey" ;;
   "scripts/testsuite_flags" ) CONFIG_FILES="$CONFIG_FILES scripts/testsuite_flags" ;;
@@ -59173,7 +59179,7 @@ esac ;;
    cat > vpsed << \_EOF
 s!`test -f '$<' || echo '$(srcdir)/'`!!
 _EOF
-   for i in libmath libsupc++ src testsuite; do
+   for i in $SUBDIRS; do
     case $CONFIG_FILES in
      *${i}/Makefile*)
        #echo "Adding MULTISUBDIR to $i/Makefile"
index 50467e7..326b22f 100644 (file)
@@ -294,15 +294,10 @@ AC_SUBST(LIBSUPCXX_PICFLAGS)
 dnl In autoconf 2.5x, AC_OUTPUT is replaced by four AC_CONFIG_* macros,
 dnl which can all be called multiple times as needed, plus one (different)
 dnl AC_OUPUT macro.  This one lists the files to be created:
-AC_CONFIG_FILES([ \
+AC_CONFIG_FILES( \
   Makefile \
-  include/Makefile \
-  libmath/Makefile \
-  libsupc++/Makefile \
-  po/Makefile \
-  src/Makefile \
-  testsuite/Makefile \
-  ])
+  AC_FOREACH([DIR], glibcxx_SUBDIRS, [DIR/Makefile ])
+  )
 AC_CONFIG_FILES([scripts/check_survey],[chmod +x scripts/check_survey])
 AC_CONFIG_FILES([scripts/testsuite_flags],[chmod +x scripts/testsuite_flags])
 
@@ -320,7 +315,7 @@ AC_CONFIG_COMMANDS([default],
    cat > vpsed << \_EOF
 s!`test -f '$<' || echo '$(srcdir)/'`!!
 _EOF
-   for i in libmath libsupc++ src testsuite; do
+   for i in $SUBDIRS; do
     case $CONFIG_FILES in
      *${i}/Makefile*)
        #echo "Adding MULTISUBDIR to $i/Makefile"
@@ -335,7 +330,9 @@ _EOF
  (cd include && ${MAKE-make})
 ],
 [
-# No init-vars needed so far which aren't already passed by autoconf.
+# Variables needed in config.status (file generation) which aren't already
+# passed by autoconf.
+SUBDIRS="$SUBDIRS"
 ])
 
 dnl And this actually makes things happen:
index de98817..d0d03a2 100644 (file)
@@ -5,6 +5,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)
index 17d202d..a7660d5 100644 (file)
@@ -56,7 +56,7 @@ std_headers = \
        ${std_srcdir}/std_utility.h \
        ${std_srcdir}/std_valarray.h \
        ${std_srcdir}/std_vector.h
-# Renamed at build time. 
+# Renamed at build time.
 std_headers_rename = \
        algorithm \
        bitset \
@@ -221,7 +221,7 @@ ext_headers = \
        ${ext_srcdir}/ropeimpl.h \
        ${ext_srcdir}/slist \
        ${ext_srcdir}/hash_fun.h \
-       ${ext_srcdir}/hashtable.h 
+       ${ext_srcdir}/hashtable.h
 
 
 # This is the common subset of files that all three "C" header models use.
@@ -245,7 +245,7 @@ c_base_headers = \
        ${c_base_srcdir}/std_cstring.h \
        ${c_base_srcdir}/std_ctime.h \
        ${c_base_srcdir}/std_cwchar.h \
-       ${c_base_srcdir}/std_cwctype.h 
+       ${c_base_srcdir}/std_cwctype.h
 c_base_headers_rename = \
        cassert \
        cctype \
@@ -264,7 +264,7 @@ c_base_headers_rename = \
        cstring \
        ctime \
        cwchar \
-       cwctype 
+       cwctype
 
 # "C" compatibility headers.
 c_compatibility_srcdir = ${glibcxx_srcdir}/include/c_compatibility
@@ -287,21 +287,21 @@ c_compatibility_headers = \
        ${c_compatibility_srcdir}/string.h \
        ${c_compatibility_srcdir}/time.h \
        ${c_compatibility_srcdir}/wchar.h \
-       ${c_compatibility_srcdir}/wctype.h 
+       ${c_compatibility_srcdir}/wctype.h
 
 # Some of the different "C" header models need extra files.
 # Some "C" header schemes require the "C" compatibility headers.
 # For --enable-cheaders=c_std
 if GLIBCXX_C_HEADERS_C_STD
-c_base_headers_extra = ${c_base_srcdir}/cmath.tcc 
+c_base_headers_extra = ${c_base_srcdir}/cmath.tcc
 else
-c_base_headers_extra = 
+c_base_headers_extra =
 endif
 
 if GLIBCXX_C_HEADERS_COMPATIBILITY
 c_compatibility_headers_extra = ${c_compatibility_headers}
 else
-c_compatibility_headers_extra = 
+c_compatibility_headers_extra =
 endif
 
 host_srcdir = ${glibcxx_srcdir}/@OS_INC_SRCDIR@
@@ -312,7 +312,7 @@ host_headers = \
        ${host_srcdir}/ctype_noninline.h \
        ${host_srcdir}/os_defines.h \
        ${glibcxx_srcdir}/@ATOMICITY_INC_SRCDIR@/atomicity.h \
-       ${glibcxx_srcdir}/@FPOS_INC_SRCDIR@/fpos.h 
+       ${glibcxx_srcdir}/@FPOS_INC_SRCDIR@/fpos.h
 
 # Non-installed host_header files.
 host_headers_noinst = \
@@ -342,15 +342,15 @@ if GLIBCXX_BUILD_PCH
 pch_build = ${pch_input}
 pch_install = install-pch
 else
-pch_build = 
-pch_install = 
+pch_build =
+pch_install =
 endif
 
 # List of all timestamp files.  By keeping only one copy of this list, both
 # CLEANFILES and all-local are kept up-to-date.
 allstamped = \
        stamp-std stamp-bits stamp-c_base stamp-c_compatibility \
-       stamp-backward stamp-ext stamp-host 
+       stamp-backward stamp-ext stamp-host
 
 # List of all files that are created by explicit building, editing, or
 # catenation.
@@ -360,7 +360,7 @@ allcreated = \
        ${pch_build}
 
 # Here are the rules for building the headers
-all-local: ${allstamped} ${allcreated} 
+all-local: ${allstamped} ${allcreated}
 
 # This rule is slightly different, in that we must change the name of the
 # local file from std_foo.h to foo.
@@ -371,34 +371,34 @@ stamp-std: ${std_headers}
        if [ ! -f stamp-std ]; then \
          (cd ${std_builddir} && for h in $?; do \
            official_name=`echo $$h | sed -e 's,.*/std_,,' -e 's,\.h$$,,'` ;\
-           @LN_S@ $$h ./$${official_name} || true ;\
+           $(LN_S) $$h ./$${official_name} || true ;\
          done) ;\
-         echo `date` > stamp-std ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-std
 
 stamp-bits: ${bits_headers}
        @if [ ! -d "${bits_builddir}" ]; then \
          mkdir -p ${bits_builddir} ;\
        fi ;\
        if [ ! -f stamp-bits ]; then \
-         (cd ${bits_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-bits ;\
-       fi
+         (cd ${bits_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-bits
 
-stamp-c_base: stamp-bits ${c_base_headers} ${c_base_headers_extra} 
+stamp-c_base: stamp-bits ${c_base_headers} ${c_base_headers_extra}
        @if [ ! -d "${c_base_builddir}" ]; then \
          mkdir -p ${c_base_builddir} ;\
        fi ;\
        if [ ! -f stamp-c_base ]; then \
          (cd ${c_base_builddir} && for h in ${c_base_headers}; do \
            official_name=`echo $$h | sed -e 's,.*/std_,,' -e 's,\.h$$,,'` ;\
-           @LN_S@ $$h ./$${official_name} || true ;\
+           $(LN_S) $$h ./$${official_name} || true ;\
          done) ;\
          if [ ! -z "${c_base_headers_extra}" ]; then \
-         (cd ${bits_builddir} && @LN_S@ ${c_base_headers_extra}  . || true) ;\
+         (cd ${bits_builddir} && $(LN_S) ${c_base_headers_extra}  . || true) ;\
          fi ;\
-         echo `date` > stamp-c_base ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-c_base
 
 stamp-c_compatibility: ${c_compatibility_headers_extra}
        @if [ ! -d "${c_compatibility_builddir}" ]; then \
@@ -406,53 +406,53 @@ stamp-c_compatibility: ${c_compatibility_headers_extra}
        fi ;\
        if [ ! -f stamp-c_compatibility ]; then \
          if [ ! -z "${c_compatibility_headers_extra}" ]; then \
-           (cd ${c_compatibility_builddir} && @LN_S@ $? . || true) ;\
+           (cd ${c_compatibility_builddir} && $(LN_S) $? . || true) ;\
          fi ;\
-         echo `date` > stamp-c_compatibility ;\
-       fi 
+       fi ;\
+       $(STAMP) stamp-c_compatibility
 
 stamp-backward: ${backward_headers}
        @if [ ! -d "${backward_builddir}" ]; then \
          mkdir -p ${backward_builddir} ;\
        fi ;\
        if [ ! -f stamp-backward ]; then \
-         (cd ${backward_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-backward ;\
-       fi
+         (cd ${backward_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-backward
 
 stamp-ext: ${ext_headers}
        @if [ ! -d "${ext_builddir}" ]; then \
            mkdir -p ${ext_builddir} ;\
        fi ;\
        if [ ! -f stamp-ext ]; then \
-         (cd ${ext_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-ext ;\
-       fi
+         (cd ${ext_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-ext
 
 stamp-${host_alias}:
        @if [ ! -d ${host_builddir} ]; then \
          mkdir -p ${host_builddir} ;\
-         echo `date` > stamp-${host_alias} ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-${host_alias}
 
 # Host includes static.
 # XXX Missing dependency info for {host_headers_extra}
 stamp-host: ${host_headers} ${host_headers_noinst} stamp-${host_alias}
        @if [ ! -f stamp-host ]; then \
          (cd ${host_builddir} ;\
-         @LN_S@ ${host_headers} . || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@BASIC_FILE_H@ basic_file.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CSTDIO_H@ c++io.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CLOCALE_H@ c++locale.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CLOCALE_INTERNAL_H@ . || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CMESSAGES_H@ messages_members.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CTIME_H@ time_members.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CCODECVT_H@ codecvt_specializations.h || true);\
-         echo `date` > stamp-host ; \
-       fi
+         $(LN_S) ${host_headers} . || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@BASIC_FILE_H@ basic_file.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CSTDIO_H@ c++io.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CLOCALE_H@ c++locale.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CLOCALE_INTERNAL_H@ . || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CMESSAGES_H@ messages_members.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CTIME_H@ time_members.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CCODECVT_H@ codecvt_specializations.h || true);\
+       fi ;\
+       $(STAMP) stamp-host
 
 # Host includes dynamic.
-${host_builddir}/c++config.h: ${CONFIG_HEADER} \
+${host_builddir}/c++config.h: ${top_builddir}/config.h \
                                ${glibcxx_srcdir}/include/bits/c++config \
                                stamp-${host_alias}
        @cat ${glibcxx_srcdir}/include/bits/c++config > $@ ;\
index 5b119ff..bb8bbb4 100644 (file)
@@ -211,6 +211,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)
@@ -261,7 +262,7 @@ std_headers = \
        ${std_srcdir}/std_valarray.h \
        ${std_srcdir}/std_vector.h
 
-# Renamed at build time. 
+# Renamed at build time.
 std_headers_rename = \
        algorithm \
        bitset \
@@ -429,7 +430,7 @@ ext_headers = \
        ${ext_srcdir}/ropeimpl.h \
        ${ext_srcdir}/slist \
        ${ext_srcdir}/hash_fun.h \
-       ${ext_srcdir}/hashtable.h 
+       ${ext_srcdir}/hashtable.h
 
 
 # This is the common subset of files that all three "C" header models use.
@@ -453,7 +454,7 @@ c_base_headers = \
        ${c_base_srcdir}/std_cstring.h \
        ${c_base_srcdir}/std_ctime.h \
        ${c_base_srcdir}/std_cwchar.h \
-       ${c_base_srcdir}/std_cwctype.h 
+       ${c_base_srcdir}/std_cwctype.h
 
 c_base_headers_rename = \
        cassert \
@@ -473,7 +474,7 @@ c_base_headers_rename = \
        cstring \
        ctime \
        cwchar \
-       cwctype 
+       cwctype
 
 
 # "C" compatibility headers.
@@ -497,14 +498,14 @@ c_compatibility_headers = \
        ${c_compatibility_srcdir}/string.h \
        ${c_compatibility_srcdir}/time.h \
        ${c_compatibility_srcdir}/wchar.h \
-       ${c_compatibility_srcdir}/wctype.h 
+       ${c_compatibility_srcdir}/wctype.h
 
 @GLIBCXX_C_HEADERS_C_STD_FALSE@c_base_headers_extra = 
 
 # Some of the different "C" header models need extra files.
 # Some "C" header schemes require the "C" compatibility headers.
 # For --enable-cheaders=c_std
-@GLIBCXX_C_HEADERS_C_STD_TRUE@c_base_headers_extra = ${c_base_srcdir}/cmath.tcc 
+@GLIBCXX_C_HEADERS_C_STD_TRUE@c_base_headers_extra = ${c_base_srcdir}/cmath.tcc
 @GLIBCXX_C_HEADERS_COMPATIBILITY_FALSE@c_compatibility_headers_extra = 
 
 @GLIBCXX_C_HEADERS_COMPATIBILITY_TRUE@c_compatibility_headers_extra = ${c_compatibility_headers}
@@ -517,7 +518,7 @@ host_headers = \
        ${host_srcdir}/ctype_noninline.h \
        ${host_srcdir}/os_defines.h \
        ${glibcxx_srcdir}/@ATOMICITY_INC_SRCDIR@/atomicity.h \
-       ${glibcxx_srcdir}/@FPOS_INC_SRCDIR@/fpos.h 
+       ${glibcxx_srcdir}/@FPOS_INC_SRCDIR@/fpos.h
 
 
 # Non-installed host_header files.
@@ -556,7 +557,7 @@ PCHFLAGS = -Winvalid-pch -Wno-deprecated -x c++-header $(CXXFLAGS)
 # CLEANFILES and all-local are kept up-to-date.
 allstamped = \
        stamp-std stamp-bits stamp-c_base stamp-c_compatibility \
-       stamp-backward stamp-ext stamp-host 
+       stamp-backward stamp-ext stamp-host
 
 
 # List of all files that are created by explicit building, editing, or
@@ -721,7 +722,7 @@ uninstall-am: uninstall-info-am
 
 
 # Here are the rules for building the headers
-all-local: ${allstamped} ${allcreated} 
+all-local: ${allstamped} ${allcreated}
 
 # This rule is slightly different, in that we must change the name of the
 # local file from std_foo.h to foo.
@@ -732,34 +733,34 @@ stamp-std: ${std_headers}
        if [ ! -f stamp-std ]; then \
          (cd ${std_builddir} && for h in $?; do \
            official_name=`echo $$h | sed -e 's,.*/std_,,' -e 's,\.h$$,,'` ;\
-           @LN_S@ $$h ./$${official_name} || true ;\
+           $(LN_S) $$h ./$${official_name} || true ;\
          done) ;\
-         echo `date` > stamp-std ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-std
 
 stamp-bits: ${bits_headers}
        @if [ ! -d "${bits_builddir}" ]; then \
          mkdir -p ${bits_builddir} ;\
        fi ;\
        if [ ! -f stamp-bits ]; then \
-         (cd ${bits_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-bits ;\
-       fi
+         (cd ${bits_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-bits
 
-stamp-c_base: stamp-bits ${c_base_headers} ${c_base_headers_extra} 
+stamp-c_base: stamp-bits ${c_base_headers} ${c_base_headers_extra}
        @if [ ! -d "${c_base_builddir}" ]; then \
          mkdir -p ${c_base_builddir} ;\
        fi ;\
        if [ ! -f stamp-c_base ]; then \
          (cd ${c_base_builddir} && for h in ${c_base_headers}; do \
            official_name=`echo $$h | sed -e 's,.*/std_,,' -e 's,\.h$$,,'` ;\
-           @LN_S@ $$h ./$${official_name} || true ;\
+           $(LN_S) $$h ./$${official_name} || true ;\
          done) ;\
          if [ ! -z "${c_base_headers_extra}" ]; then \
-         (cd ${bits_builddir} && @LN_S@ ${c_base_headers_extra}  . || true) ;\
+         (cd ${bits_builddir} && $(LN_S) ${c_base_headers_extra}  . || true) ;\
          fi ;\
-         echo `date` > stamp-c_base ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-c_base
 
 stamp-c_compatibility: ${c_compatibility_headers_extra}
        @if [ ! -d "${c_compatibility_builddir}" ]; then \
@@ -767,53 +768,53 @@ stamp-c_compatibility: ${c_compatibility_headers_extra}
        fi ;\
        if [ ! -f stamp-c_compatibility ]; then \
          if [ ! -z "${c_compatibility_headers_extra}" ]; then \
-           (cd ${c_compatibility_builddir} && @LN_S@ $? . || true) ;\
+           (cd ${c_compatibility_builddir} && $(LN_S) $? . || true) ;\
          fi ;\
-         echo `date` > stamp-c_compatibility ;\
-       fi 
+       fi ;\
+       $(STAMP) stamp-c_compatibility
 
 stamp-backward: ${backward_headers}
        @if [ ! -d "${backward_builddir}" ]; then \
          mkdir -p ${backward_builddir} ;\
        fi ;\
        if [ ! -f stamp-backward ]; then \
-         (cd ${backward_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-backward ;\
-       fi
+         (cd ${backward_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-backward
 
 stamp-ext: ${ext_headers}
        @if [ ! -d "${ext_builddir}" ]; then \
            mkdir -p ${ext_builddir} ;\
        fi ;\
        if [ ! -f stamp-ext ]; then \
-         (cd ${ext_builddir} && @LN_S@ $? . || true) ;\
-         echo `date` > stamp-ext ;\
-       fi
+         (cd ${ext_builddir} && $(LN_S) $? . || true) ;\
+       fi ;\
+       $(STAMP) stamp-ext
 
 stamp-${host_alias}:
        @if [ ! -d ${host_builddir} ]; then \
          mkdir -p ${host_builddir} ;\
-         echo `date` > stamp-${host_alias} ;\
-       fi
+       fi ;\
+       $(STAMP) stamp-${host_alias}
 
 # Host includes static.
 # XXX Missing dependency info for {host_headers_extra}
 stamp-host: ${host_headers} ${host_headers_noinst} stamp-${host_alias}
        @if [ ! -f stamp-host ]; then \
          (cd ${host_builddir} ;\
-         @LN_S@ ${host_headers} . || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@BASIC_FILE_H@ basic_file.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CSTDIO_H@ c++io.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CLOCALE_H@ c++locale.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CLOCALE_INTERNAL_H@ . || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CMESSAGES_H@ messages_members.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CTIME_H@ time_members.h || true ;\
-         @LN_S@ ${glibcxx_srcdir}/@CCODECVT_H@ codecvt_specializations.h || true);\
-         echo `date` > stamp-host ; \
-       fi
+         $(LN_S) ${host_headers} . || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@BASIC_FILE_H@ basic_file.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CSTDIO_H@ c++io.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CLOCALE_H@ c++locale.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CLOCALE_INTERNAL_H@ . || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CMESSAGES_H@ messages_members.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CTIME_H@ time_members.h || true ;\
+         $(LN_S) ${glibcxx_srcdir}/@CCODECVT_H@ codecvt_specializations.h || true);\
+       fi ;\
+       $(STAMP) stamp-host
 
 # Host includes dynamic.
-${host_builddir}/c++config.h: ${CONFIG_HEADER} \
+${host_builddir}/c++config.h: ${top_builddir}/config.h \
                                ${glibcxx_srcdir}/include/bits/c++config \
                                stamp-${host_alias}
        @cat ${glibcxx_srcdir}/include/bits/c++config > $@ ;\
index 59f80fb..9ce80f9 100644 (file)
@@ -31,9 +31,6 @@ toolexeclib_LTLIBRARIES = libsupc++.la
 noinst_LTLIBRARIES = libsupc++convenience.la
 
 
-
-LIBSUPCXX_CXXFLAGS = @LIBSUPCXX_PICFLAGS@
-
 headers = \
        exception new typeinfo cxxabi.h exception_defines.h 
 
@@ -78,7 +75,7 @@ glibcxxinstall_HEADERS = $(headers)
 # as the occasion call for it. 
 AM_CXXFLAGS = \
        -fno-implicit-templates \
-       $(LIBSUPCXX_CXXFLAGS) \
+       $(LIBSUPCXX_PICFLAGS) \
        $(WARN_CXXFLAGS) \
        $(OPTIMIZE_CXXFLAGS) \
        $(CONFIG_CXXFLAGS) 
index 39ed067..cf19aed 100644 (file)
@@ -200,6 +200,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)
@@ -223,8 +224,6 @@ toolexeclib_LTLIBRARIES = libsupc++.la
 # 2) integrated libsupc++convenience.la that is to be a part of libstdc++.a
 noinst_LTLIBRARIES = libsupc++convenience.la
 
-LIBSUPCXX_CXXFLAGS = @LIBSUPCXX_PICFLAGS@
-
 headers = \
        exception new typeinfo cxxabi.h exception_defines.h 
 
@@ -271,7 +270,7 @@ glibcxxinstall_HEADERS = $(headers)
 # as the occasion call for it. 
 AM_CXXFLAGS = \
        -fno-implicit-templates \
-       $(LIBSUPCXX_CXXFLAGS) \
+       $(LIBSUPCXX_PICFLAGS) \
        $(WARN_CXXFLAGS) \
        $(OPTIMIZE_CXXFLAGS) \
        $(CONFIG_CXXFLAGS) 
index 0902e9e..e17918f 100644 (file)
@@ -21,6 +21,7 @@
 ## Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 ## USA.
 
+include $(top_srcdir)/fragment.am
 
 # Location of installation directories.
 locale_installdir = $(DESTDIR)$(datadir)/locale
index 8c785d3..dee122c 100644 (file)
@@ -196,6 +196,27 @@ target_os = @target_os@
 target_vendor = @target_vendor@
 toplevel_srcdir = @toplevel_srcdir@
 
+MAINT_CHARSET = latin1
+
+mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
+PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
+
+toolexecdir = $(glibcxx_toolexecdir)
+toolexeclibdir = $(glibcxx_toolexeclibdir)
+
+# These bits are all figured out from configure.  Look in acinclude.m4
+# or configure.ac to see how they are set.  See GLIBCXX_EXPORT_FLAGS.
+CONFIG_CXXFLAGS = \
+       $(SECTION_FLAGS) $(EXTRA_CXX_FLAGS)
+
+WARN_CXXFLAGS = \
+       $(WARN_FLAGS) $(WERROR) -fdiagnostics-show-location=once
+
+
+# -I/-D flags to pass when compiling.
+AM_CPPFLAGS = $(GLIBCXX_INCLUDES)
+
 # Location of installation directories.
 locale_installdir = $(DESTDIR)$(datadir)/locale
 locale_builddir = @glibcxx_localedir@
@@ -218,18 +239,17 @@ DISTFILES = \
 CLEANFILES = $(LOCALE_OUT) 
 subdir = po
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 depcomp =
 am__depfiles_maybe =
 DIST_SOURCES =
-DIST_COMMON = Makefile.am Makefile.in
+DIST_COMMON = $(top_srcdir)/fragment.am Makefile.am Makefile.in
 all: all-am
 
 .SUFFIXES:
 .SUFFIXES: .po .mo
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/fragment.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
        cd $(top_srcdir) && \
          $(AUTOMAKE) --foreign  po/Makefile
 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
@@ -255,6 +275,7 @@ top_distdir = ..
 distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
 
 distdir: $(DISTFILES)
+       $(mkinstalldirs) $(distdir)/..
        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
        list='$(DISTFILES)'; for file in $$list; do \
index 44cde96..153fc53 100644 (file)
@@ -166,7 +166,6 @@ demangle.o: demangle.cc
 # as the occasion calls for it.
 AM_CXXFLAGS = \
        -fno-implicit-templates \
-       $(LIBSUPCXX_CXXFLAGS) \
        $(WARN_CXXFLAGS) \
        $(OPTIMIZE_CXXFLAGS) \
        $(CONFIG_CXXFLAGS)
index 0e50ec7..3834987 100644 (file)
@@ -201,6 +201,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)
@@ -301,7 +302,6 @@ GLIBCXX_INCLUDE_DIR = @glibcxx_builddir@/include
 # as the occasion calls for it.
 AM_CXXFLAGS = \
        -fno-implicit-templates \
-       $(LIBSUPCXX_CXXFLAGS) \
        $(WARN_CXXFLAGS) \
        $(OPTIMIZE_CXXFLAGS) \
        $(CONFIG_CXXFLAGS)
index 6a22ba8..4bfb56e 100644 (file)
@@ -203,6 +203,7 @@ MAINT_CHARSET = latin1
 
 mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
 PWD_COMMAND = $${PWDCMD-pwd}
+STAMP = echo timestamp >
 
 toolexecdir = $(glibcxx_toolexecdir)
 toolexeclibdir = $(glibcxx_toolexeclibdir)